<!--
  ~ This file is part of the DATAtourisme project.
  ~ 2022
  ~ @author Conjecto <contact@conjecto.com>
  ~ SPDX-License-Identifier: GPL-3.0-or-later
  ~ For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
  -->

<div class="filter-geo-dialog">
    <div class="modal-body p-0">
        <div class="params-container">
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-group m-b-0">
                        <label class="control-label">{{ 'label.coordinates' | translate }}</label>
                        <input type="text" class="form-control coords" value="{{ $ctrl.center.lat }}, {{ $ctrl.center.lng }}" readonly placeholder="{{ 'label.geo_coordinates' | translate }}">
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-group m-b-0">
                        <label class="control-label">Rayon</label>
                        <span>{{ $ctrl.radius }}</span> km
                        <slider ng-model="$ctrl.radius" min="5" step="5" max="600" on-slide="$ctrl.onSlide($event,value)" on-stop-slide="$ctrl.onStopSlide($event,value)"></slider>
                    </div>
                </div>
            </div>
        </div>

        <leaflet ng-if="$ctrl.ready" id="filter-geo-map" center="$ctrl.center" width="100%"></leaflet>

    </div>
    <div class="modal-footer">
        <!--<code class="">{{ xpath }}</code>-->
        <button type="button" class="btn btn-default pull-left" ng-click="closeThisDialog()">{{ 'label.cancel' | translate }}</button>
        <button type="button" class="btn btn-primary" ng-click="$ctrl.confirm()">{{ 'label.validate' | translate }}</button>
    </div>
</div>